<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <!-- Tree View -->
    <record id="view_sos_inside_sales_leads_tree" model="ir.ui.view">
        <field name="name">sos_inside_sales_leads.tree</field>
        <field name="model">sos_inside_sales_leads</field>
        <field name="arch" type="xml">
            <tree>
                <field name="company_name"/>
                <field name="status"/>
                  <field name="location"/>
                  <field name="products_interested" string="Products" widget="many2many_tags" options="{'color_field': 'color'}"/>
                  <field name="project_name"/>
                <field name="lead_generated_by" string="Lead Generated By"/>
                 <!-- <field name="entry_date" string="Lead Generated On"/> -->
                <field name="move_div_display" widget="boolean_toggle" readonly="1"/>
            </tree>
        </field>
    </record>
<record id="sos_inside_sales_leads_view_panel" model="ir.ui.view">
    <field name="name">sos_inside_sales_leads.search</field>
    <field name="model">sos_inside_sales_leads</field>
    <field name="arch" type="xml">
        <search>
   
<searchpanel>

<field name="sales_type" string="Type" icon="fa-list-ul" enable_counters="1"/>

</searchpanel>
            <!-- Add fields to search on -->
            <field name="company_name" string="Company Name"/>
            <field name="vertical_domain" string="Domain/Vertical"/>
             <field name="lead_generated_by" string="Lead Generated By"/>
             <field name="products_interested"/>
    
    <filter name="product_filter"
            string="Product"
            domain="[('products_interested', 'in', products_interested)]"/>
            
      
        </search>
    </field>
</record>
    <!-- Form View -->
    <record id="view_sos_inside_sales_leads_form" model="ir.ui.view">
        <field name="name">sos_inside_sales_leads.form</field>
        <field name="model">sos_inside_sales_leads</field>
        <field name="arch" type="xml">
            <form>
                <sheet>
                      <widget name="web_ribbon" text="Moved to Sales" bg_color="bg-success" invisible="move_div_display != True"/>

       <h2 style="text-align: center;text-transform: uppercase;text-shadow: 1px 1p 1px #140718;color: #65407c;padding:5px;">Leads</h2><hr></hr><br></br>  

                 <group>
                    <group>
                    <field name="move_div_display" invisible="1"/>
                    <field name="sales_type"/>
                        <field name="company_name"/>
                        <field name="entry_date"/>
                        <field name="country" invisible="sales_type != 'International'"/>
                        <field name="location" string="City/State"/>
                        <field name="vertical_domain" widget="many2many_tags"/>
                        <field name="status"/>
                        </group>
                        <group>
                        <field name="website_url"/>
                        <field name="service"/>
                        <field name="products_interested" 
                        options="{'no_create': True, 'no_edit': True, 'no_create_edit': True}"
                        widget="many2many_tags" invisible="service != 'Product'"/>
                        <field name="project_name" invisible="service != 'Project'"/>
                        <field name="new_source"/>
                        <field name="expo_name" invisible="new_source != 2"/>
                        <field name="meeting_scheduled"/>
                    </group>
                    </group>
                  <br>  </br> 
                                     <h3 style="text-transform: uppercase;
    text-decoration: underline;">Contact Details</h3>
                    
                        <field name="line_ids_contacts">
                            <tree editable="bottom">
                            <field name="set_as_primary"/>
                            <field name="name"/>
                            <field name="dept"/>
                            <field name="email"/>
                            <field name="mobile_number"/>
                             <field name="linkedin_profile"/>
                              <field name="remarks"/>
                            
                            </tree>
                        </field>
                         <br>  </br> <br>  </br>
                            <notebook>
                  <page string="Follow Up">
                <field name="line_ids">
                                    <tree editable="bottom">
                                    <field name="action_date"/>
                                    <field name="remarks"/>
                                    <field name="next_action_on"/>
                                    
                                                                  
                                    </tree>
                                 
                                </field>
                  </page>
                  </notebook>
                  <br>  </br>
       <div class="row" invisible="move_div_display"> 
       <div class="col-6"></div>

        <div class="col-6">  
    <table class="table_custom" style="padding: 30px;box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;background-color: #fff;border: solid 4px #9689c1;">
    <tr><td class="column">Move Lead To</td><td><field name="move_to_sales" widget="many2many_tags"/></td></tr>
    <tr><td class="column">Cc To</td><td><field name="cc_mail"/></td></tr>
    <tr><td></td><td><button name="action_moveto_sales" type="object" class="btn btn-primary">Move</button></td></tr>
    </table>
    </div>
    </div>
           <div class="row" invisible="move_div_display == False"> 
       <div class="col-6"></div>

        <div class="col-6">  
    <table class="table_custom" style="padding: 30px;box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;background-color: #fff;border: solid 4px #9689c1;">
    <tr><td class="column">Moved To</td><td><field readonly="1" name="move_to_sales" widget="many2many_tags"/></td></tr>
    <tr><td class="column">Moved On</td><td><field readonly="1" name="moved_on"/></td></tr>
    </table>
    </div>
    </div>
                  
                </sheet>
            </form>
        </field>
    </record>

    <!-- Action -->
    <record id="action_sos_inside_sales_leads" model="ir.actions.act_window">
        <field name="name">Leads</field>
        <field name="res_model">sos_inside_sales_leads</field>
        <field name="view_mode">tree,form</field>
    </record>
<record id="action_inside_sales_report_wizard" model="ir.actions.act_window">
        <field name="name">Inside Sales Leads Report</field>
        <field name="res_model">action_leads_report_wizard</field>
        <field name="view_mode">form</field>
        <field name="target">new</field>
    </record>

    <!-- Menu -->
<menuitem id="menu_sos_inside_sales_leads" name="Leads" parent="sos_inside_sales_menu_root" action="action_sos_inside_sales_leads" sequence="1"/>
<menuitem id="menu_sos_inside_sales_reports" name="Reports" parent="sos_inside_sales_menu_root"/>
<menuitem id="menu_sos_inside_sales_child_reports" name="Leads Report" parent="menu_sos_inside_sales_reports" action="action_inside_sales_report_wizard"/>

</odoo>
